plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("kotlin-parcelize") // הוסף אם אתה משתמש ב- @Parcelize
}

android {
    namespace = "com.example.kosherappstore" // החלף ל-package name שלך אם שונה
    compileSdk = 34 // ניתן להשתמש בגרסה עדכנית

    defaultConfig {
        applicationId = "com.example.kosherappstore" // החלף ל-package name שלך אם שונה
        minSdk = 19
        targetSdk = 34 // כוון לגרסה עדכנית, אך הקוד צריך להיות תואם minSdk
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = false // או true אם אתה רוצה להשתמש ב-ProGuard/R8
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
        debug {
            isMinifyEnabled = false
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    // אם יש קריסות build הקשורות ל-packaging options בגלל API 19 עם ספריות חדשות
    // לפעמים צריך להוסיף את זה, אבל נסה קודם בלי.
    // packagingOptions {
    //     resources.excludes.add("/META-INF/{AL2.0,LGPL2.1}")
    // }
}

dependencies {
    // Kotlin
    implementation("org.jetbrains.kotlin:kotlin-stdlib:1.8.0") // התאם את גרסת הקוטלין לזו שמוגדרת בפלאגין

    // AndroidX Core and AppCompat (גרסאות שידועות כתואמות היטב API 19)
    // מומלץ לבדוק גרסאות אלו, ייתכן שגרסאות מעט יותר חדשות יעבדו, אך יש לבדוק בקפידה.
    implementation("androidx.core:core-ktx:1.6.0") // 1.3.2 גם אופציה טובה מאוד
    implementation("androidx.appcompat:appcompat:1.3.1") // 1.2.0 גם אופציה טובה מאוד

    // Gson for JSON serialization
    implementation("com.google.code.gson:gson:2.8.9") // גרסה יציבה, אפשר לבדוק עדכונים

    // Testing libraries (אם תוסיף בדיקות)
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5") // בדוק גרסה עדכנית
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1") // בדוק גרסה עדכנית
}