package com.example.kosherappstore.utils

object Constants {
    // General SharedPreferences
    const val PREFS_NAME = "KosherAppStorePrefs"

    // Keys for App List and Settings Password
    const val KEY_APPS_LIST = "appsList"
    const val KEY_SETTINGS_PASSWORD = "settingsPassword"
    const val DEFAULT_SETTINGS_PASSWORD = "yossi6547"

    // Request Codes for onActivityResult
    const val REQUEST_CODE_PICK_APK = 101
    const val REQUEST_CODE_PICK_IMAGE = 102
    const val REQUEST_CODE_SETTINGS = 103          // For returning from SettingsActivity to MainActivity
    const val REQUEST_CODE_UNINSTALL_APP = 201     // For handling result of app uninstallation
    const val REQUEST_CODE_INSTALL_PACKAGES = 123  // For requesting package installation permission

    // Request Codes for Export/Import
    const val REQUEST_CODE_WRITE_EXTERNAL_STORAGE = 301 // For write permission (export on API < 29)
    const val REQUEST_CODE_CREATE_DOCUMENT_SAF = 302    // For Storage Access Framework (export on API >= 29)
    const val REQUEST_CODE_OPEN_DOCUMENT_SAF = 303      // For Storage Access Framework (import on API >= 29 or general file picking)

    // Installation Settings (SharedPreferences keys and values)
    const val KEY_INSTALLATION_MODE = "installationMode"
    const val INSTALL_MODE_NORMAL = "normal"
    const val INSTALL_MODE_ROOT = "root"

    const val KEY_ROOT_INSTALL_ENABLED = "rootInstallEnabled"
    const val KEY_ROOT_INSTALL_METHOD = "rootInstallMethod"
    const val ROOT_METHOD_PM_INSTALL = "pm_install"
    const val ROOT_METHOD_COPY_TO_SYSTEM = "copy_to_system"

    const val KEY_COPY_TO_SYSTEM_PATH = "copyToSystemPath"
    const val SYSTEM_PATH_APP = "/system/app"
    const val SYSTEM_PATH_PRIV_APP = "/system/priv-app"

    // Settings for "About" and "Feedback" (Stage D)
    const val KEY_SHOW_FEEDBACK_MENU = "showFeedbackMenu"
    const val KEY_ABOUT_TEXT = "aboutText"
    const val DEFAULT_ABOUT_TEXT = "<p>זוהי חנות אפליקציות כשרה.</p><p>לפרטים נוספים, <a href='mailto:c51525355@gmail.com'>פנו למפתח</a>.</p>"
    const val FEEDBACK_EMAIL = "c51525355@gmail.com"
    const val FEEDBACK_SUBJECT = "משוב על חנות האפליקציות הכשרה"

    // Constants for Export/Import ZIP structure
    const val MANIFEST_FILE_NAME = "manifest.json"
    const val APKS_FOLDER_NAME = "apks"
    const val IMAGES_FOLDER_NAME = "images"
    const val ZIP_DEFAULT_NAME_PREFIX = "KosherStoreBackup_"
}